package edu.lawrence.summary;

import java.net.URL;
import java.util.ResourceBundle;
import javafx.fxml.FXML;
import javafx.fxml.Initializable;
import javafx.scene.control.ChoiceBox;
import javafx.scene.control.TextArea;

public class PrimaryController implements Initializable {
    private SummaryDAO dao;
    
    @FXML ChoiceBox studentList;
    @FXML ChoiceBox quizList;
    @FXML TextArea studentSummary;
    @FXML TextArea quizSummary;
    
    @Override
    public void initialize(URL url, ResourceBundle rb) {
        dao = new SummaryDAO();
        
        studentList.getItems().addAll(dao.getStudentNames());
        studentList.getSelectionModel().selectFirst();
        quizList.getItems().addAll(dao.getQuizNames());
        quizList.getSelectionModel().selectFirst();
    }
    
    @FXML
    private void viewStudentSummary()  {
        String name = studentList.getSelectionModel().getSelectedItem().toString();
        
        String summaryText = dao.generateSummaryForStudent(name);
        studentSummary.setText(summaryText);
    }
    
    @FXML
    private void viewQuizSummary()  {
        String quiz = quizList.getSelectionModel().getSelectedItem().toString();
        
        String summaryText = dao.generateSummaryForQuiz(quiz);
        quizSummary.setText(summaryText);
        
    }
}
